Package picard.illumina

## Class IlluminaPhasingMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.illumina.IlluminaPhasingMetrics

-     public class IlluminaPhasingMetrics
      extends htsjdk.samtools.metrics.MetricBase

  Metrics for Illumina Basecalling that stores median phasing and prephasing percentages on a per-template-read, per-lane basis. Phasing refers to the fraction of molecules that fall behind or jump ahead (prephasing) during a read cycle. For each lane/template read # (i.e. FIRST, SECOND) combination we will store the median values of both the phasing and prephasing values for every tile in that lane/template read pair.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `LANE` | Illumina flowcell lane number
    `double` | `PHASING_APPLIED` | Median phasing value across all tiles in a lane, applied to the first and second template reads
    `double` | `PREPHASING_APPLIED` | Median pre-phasing value across all tiles in a lane, applied to the first and second template reads
    `String` | `TYPE_NAME` | Defines an Illumina template read number (first or second)

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaPhasingMetrics()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getExtension()` | This property is not exposed in a field to avoid complications with MetricBase's dependency on reflection.
    `static Collection<IlluminaPhasingMetrics>` | `getPhasingMetricsForTiles​(long lane, Collection<Tile> tilesForLane, boolean usePercentage)` | Calculate the median phasing & prephasing values for a lane's tiles and create the appropriate IlluminaPhasingMetrics for them

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LANE

          public long LANE

      Illumina flowcell lane number

    - #### TYPE_NAME

          public String TYPE_NAME

      Defines an Illumina template read number (first or second)

    - #### PHASING_APPLIED

          public double PHASING_APPLIED

      Median phasing value across all tiles in a lane, applied to the first and second template reads

    - #### PREPHASING_APPLIED

          public double PREPHASING_APPLIED

      Median pre-phasing value across all tiles in a lane, applied to the first and second template reads

  - ### Constructor Detail

    - #### IlluminaPhasingMetrics

          public IlluminaPhasingMetrics()

  - ### Method Detail

    - #### getPhasingMetricsForTiles

          public static Collection<IlluminaPhasingMetrics> getPhasingMetricsForTiles​(long lane,
                                                                                     Collection<Tile> tilesForLane,
                                                                                     boolean usePercentage)

      Calculate the median phasing & prephasing values for a lane's tiles and create the appropriate IlluminaPhasingMetrics for them

    - #### getExtension

          public static String getExtension()

      This property is not exposed in a field to avoid complications with MetricBase's dependency on reflection.